Get All Counterparty Documents
GET/v1/crossborder/counterparties/:id/documents
Retrieve a list of all documents associated with a specific crossborder counterparty. Optional filter parameters can be used to refine your search.
Request
Path Parameters
Counterparty ID.
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at, updated_at, name]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Possible values: [IDENTITY, PROOF_OF_ADDRESS, BANK_STATEMENT, INVOICE, CONTRACT, OTHER]
Filter by document type.
Possible values: [PENDING_ANALYSIS, APPROVED, REJECTED]
Filter by document status.
Header Parameters
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
Responses
- 200
- 401
- 403
- 422
Counterparty documents returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Counterparty documents data.
Counterparty document ID.
Counterparty ID.
User ID.
File ID.
Document name.
Document description.
Possible values: [IDENTITY, PROOF_OF_ADDRESS, BANK_STATEMENT, INVOICE, CONTRACT, OTHER]
Document type.
Possible values: [PENDING_ANALYSIS, APPROVED, REJECTED]
Document status.
Document rejection reason.
Document created date.
Document updated date.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"counterparty_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"user_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"file_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"name": "Identity Document",
"description": "Front side of identity document",
"type": "IDENTITY",
"status": "PENDING_ANALYSIS",
"rejection_reason": "Document is expired",
"created_at": "2026-03-26T14:02:59.414Z",
"updated_at": "2026-03-26T14:02:59.414Z"
}
]
}
User authentication failed.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 401,
"error": "USER",
"message": "Access is denied."
}
User access denied.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 403,
"error": "USER",
"message": "Access denied to requested resource. User may not have sufficient permission."
}
If any required params are missing or have invalid format or type.
- application/json
- Schema
- Example (from schema)
Schema
- any
{
"statusCode": 422,
"error": "USER",
"message": "Invalid quote currency amount. The minimum allowed is 100, and you requested 61.",
"code": "INVALID_QUOTE_CURRENCY_MIN_AMOUNT"
}